## API Report File for "@fluentui/react-datepicker"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import { Field } from '@fluentui/react-field';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { Input } from '@fluentui/react-input';
import type { InputProps } from '@fluentui/react-input';
import type { PopoverProps } from '@fluentui/react-popover';
import { PopoverSurface } from '@fluentui/react-popover';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';

// @public
export function addDays(date: Date, days: number): Date;

// @public
export function addMonths(date: Date, months: number): Date;

// @public
export function addWeeks(date: Date, weeks: number): Date;

// @public
export function addYears(date: Date, years: number): Date;

// @public (undocumented)
export enum AnimationDirection {
    Horizontal = 0,
    Vertical = 1
}

// @public (undocumented)
export const Calendar: React_2.FunctionComponent<CalendarProps>;

// @public (undocumented)
export const CalendarDay: React_2.FunctionComponent<CalendarDayProps>;

// @public (undocumented)
export const CalendarDayGrid: React_2.FunctionComponent<CalendarDayGridProps>;

// @public (undocumented)
export interface CalendarDayGridProps extends DayGridOptions {
    allFocusable?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: React_2.RefObject<ICalendarDayGrid>;
    customDayCellRef?: (element: HTMLElement, date: Date, classNames: CalendarDayGridStyles) => void;
    dateRangeType: DateRangeType;
    dateTimeFormatter: DateFormatting;
    daysToSelectInDayView?: number;
    firstDayOfWeek: DayOfWeek;
    firstWeekOfYear: FirstWeekOfYear;
    getMarkedDays?: (startingDate: Date, endingDate: Date) => Date[];
    labelledBy?: string;
    lightenDaysOutsideNavigatedMonth?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    onDismiss?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    selectedDate: Date;
    showCloseButton?: boolean;
    showWeekNumbers?: boolean;
    strings: CalendarStrings;
    today?: Date;
    weeksToShow?: number;
    workWeekDays?: DayOfWeek[];
}

// @public (undocumented)
export interface CalendarDayGridStyleProps {
    animateBackwards?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    dateRangeType?: DateRangeType;
    lightenDaysOutsideNavigatedMonth?: boolean;
    showWeekNumbers?: boolean;
}

// @public (undocumented)
export interface CalendarDayGridStyles {
    dayButton?: string;
    dayCell?: string;
    dayIsToday?: string;
    dayMarker?: string;
    dayOutsideBounds?: string;
    dayOutsideNavigatedMonth?: string;
    daySelected?: string;
    firstTransitionWeek?: string;
    lastTransitionWeek?: string;
    table?: string;
    weekDayLabelCell?: string;
    weekNumberCell?: string;
    weekRow?: string;
    wrapper?: string;
}

// @public (undocumented)
export interface CalendarDayProps extends CalendarDayGridProps {
    allFocusable?: boolean;
    className?: string;
    componentRef?: React_2.RefObject<ICalendarDay>;
    dateTimeFormatter: DateFormatting;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons: CalendarNavigationIcons;
    onDismiss?: () => void;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    restrictedDates?: Date[];
    showCloseButton?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings: CalendarStrings;
}

// @public (undocumented)
export interface CalendarDayStyleProps extends CalendarDayGridStyleProps {
    className?: string;
    headerIsClickable?: boolean;
    showWeekNumbers?: boolean;
}

// @public (undocumented)
export interface CalendarDayStyles {
    disabledStyle: string;
    header: string;
    headerIconButton: string;
    monthAndYear: string;
    monthComponents: string;
    root: string;
}

// @public (undocumented)
export const CalendarMonth: React_2.FunctionComponent<CalendarMonthProps>;

// @public (undocumented)
export interface CalendarMonthProps {
    allFocusable?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: React_2.RefObject<ICalendarMonth>;
    dateTimeFormatter?: DateFormatting;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigatedDate: Date;
    navigationIcons?: CalendarNavigationIcons;
    onHeaderSelect?: () => void;
    onNavigateDate: (date: Date, focusOnNavigatedDay: boolean) => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    selectedDate: Date;
    strings: CalendarStrings;
    today?: Date;
    yearPickerHidden?: boolean;
}

// @public (undocumented)
export interface CalendarMonthStyleProps extends CalendarPickerStyleProps {
}

// @public (undocumented)
export interface CalendarMonthStyles extends CalendarPickerStyles {
}

// @public (undocumented)
export interface CalendarNavigationIcons {
    closeIcon?: string;
    leftNavigation?: string;
    rightNavigation?: string;
}

// @public (undocumented)
export interface CalendarPickerStyleProps {
    animateBackwards?: boolean;
    animationDirection?: AnimationDirection;
    className?: string;
    hasHeaderClickCallback?: boolean;
    highlightCurrent?: boolean;
    highlightSelected?: boolean;
}

// @public (undocumented)
export interface CalendarPickerStyles {
    // (undocumented)
    buttonRow: string;
    // (undocumented)
    current: string;
    // (undocumented)
    currentItemButton: string;
    // (undocumented)
    disabled: string;
    // (undocumented)
    gridContainer: string;
    // (undocumented)
    headerContainer: string;
    // (undocumented)
    itemButton: string;
    // (undocumented)
    navigationButton: string;
    // (undocumented)
    navigationButtonsContainer: string;
    root: string;
    // (undocumented)
    selected: string;
}

// @public (undocumented)
export interface CalendarProps extends React_2.RefAttributes<HTMLDivElement> {
    allFocusable?: boolean;
    calendarDayProps?: Partial<CalendarDayProps>;
    calendarMonthProps?: Partial<CalendarMonthProps>;
    className?: string;
    componentRef?: React_2.RefObject<ICalendar>;
    dateRangeType?: DateRangeType;
    dateTimeFormatter?: DateFormatting;
    firstDayOfWeek?: DayOfWeek;
    firstWeekOfYear?: FirstWeekOfYear;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    id?: string;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    maxDate?: Date;
    minDate?: Date;
    navigationIcons?: CalendarNavigationIcons;
    onDismiss?: () => void;
    onSelectDate?: (date: Date, selectedDateRangeArray?: Date[]) => void;
    restrictedDates?: Date[];
    showCloseButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showSixWeeksByDefault?: boolean;
    showWeekNumbers?: boolean;
    strings?: CalendarStrings;
    today?: Date;
    value?: Date;
    workWeekDays?: DayOfWeek[];
}

// @public (undocumented)
export interface CalendarStrings extends DateGridStrings {
    closeButtonAriaLabel?: string;
    dayMarkedAriaLabel?: string;
    goToToday: string;
    monthPickerHeaderAriaLabel?: string;
    nextMonthAriaLabel?: string;
    nextYearAriaLabel?: string;
    nextYearRangeAriaLabel?: string;
    prevMonthAriaLabel?: string;
    prevYearAriaLabel?: string;
    prevYearRangeAriaLabel?: string;
    selectedDateFormatString?: string;
    todayDateFormatString?: string;
    weekNumberFormatString?: string;
    yearPickerHeaderAriaLabel?: string;
}

// @public (undocumented)
export interface CalendarStyleProps {
    className?: string;
    isDayPickerVisible?: boolean;
    isMonthPickerVisible?: boolean;
    monthPickerOnly?: boolean;
    overlaidWithButton?: boolean;
    // @deprecated (undocumented)
    overlayedWithButton?: boolean;
    showGoToToday?: boolean;
    showMonthPickerAsOverlay?: boolean;
    showWeekNumbers?: boolean;
}

// @public (undocumented)
export interface CalendarStyles {
    // (undocumented)
    divider: string;
    // (undocumented)
    goTodayButton: string;
    // (undocumented)
    liveRegion: string;
    // (undocumented)
    monthPickerWrapper: string;
    root: string;
}

// @public (undocumented)
export const CalendarYear: React_2.FunctionComponent<CalendarYearProps>;

// @public (undocumented)
export interface CalendarYearHeaderProps extends CalendarYearProps, CalendarYearRange {
    animateBackwards?: boolean;
    onSelectNext?: () => void;
    onSelectPrev?: () => void;
}

// @public (undocumented)
export interface CalendarYearProps {
    animationDirection?: AnimationDirection;
    className?: string;
    componentRef?: React_2.RefObject<ICalendarYear>;
    highlightCurrentYear?: boolean;
    highlightSelectedYear?: boolean;
    maxYear?: number;
    minYear?: number;
    navigatedYear?: number;
    navigationIcons?: CalendarNavigationIcons;
    onHeaderSelect?: (focus: boolean) => void;
    onRenderTitle?: (props: CalendarYearHeaderProps) => React_2.ReactNode;
    onRenderYear?: (year: number) => React_2.ReactNode;
    onSelectYear?: (year: number) => void;
    selectedYear?: number;
    strings?: CalendarYearStrings;
}

// @public (undocumented)
export interface CalendarYearRange {
    // (undocumented)
    fromYear: number;
    // (undocumented)
    toYear: number;
}

// @public (undocumented)
export interface CalendarYearRangeToString {
    // (undocumented)
    (range: CalendarYearRange): string;
}

// @public (undocumented)
export interface CalendarYearStrings {
    // (undocumented)
    headerAriaLabelFormatString?: string;
    // (undocumented)
    nextRangeAriaLabel?: string | CalendarYearRangeToString;
    // (undocumented)
    prevRangeAriaLabel?: string | CalendarYearRangeToString;
    // (undocumented)
    rangeAriaLabel?: string | CalendarYearRangeToString;
}

// @public (undocumented)
export interface CalendarYearStyleProps extends CalendarPickerStyleProps {
}

// @public (undocumented)
export interface CalendarYearStyles extends CalendarPickerStyles {
}

// @public
export function compareDatePart(date1: Date, date2: Date): Number;

// @public
export function compareDates(date1: Date, date2: Date): boolean;

// @public (undocumented)
export interface DateFormatting {
    formatDay: (date: Date) => string;
    formatMonth: (date: Date, strings: DateGridStrings) => string;
    formatMonthDayYear: (date: Date, strings: DateGridStrings) => string;
    formatMonthYear: (date: Date, strings: DateGridStrings) => string;
    formatYear: (date: Date) => string;
}

// @public (undocumented)
export interface DateGridStrings {
    days: string[];
    months: string[];
    shortDays: string[];
    shortMonths: string[];
}

// @public (undocumented)
export const DatePicker: ForwardRefComponent<DatePickerProps>;

// @public (undocumented)
export type DatePickerProps = ComponentProps<Partial<DatePickerSlots>> & {
    componentRef?: React_2.RefObject<IDatePicker>;
    textField?: InputProps;
    onSelectDate?: (date: Date | null | undefined) => void;
    label?: string;
    isRequired?: boolean;
    disabled?: boolean;
    ariaLabel?: string;
    underlined?: boolean;
    pickerAriaLabel?: string;
    isMonthPickerVisible?: boolean;
    showMonthPickerAsOverlay?: boolean;
    allowTextInput?: boolean;
    disableAutoFocus?: boolean;
    openOnClick?: boolean;
    placeholder?: string;
    today?: Date;
    value?: Date;
    formatDate?: (date?: Date) => string;
    parseDateFromString?: (dateStr: string) => Date | null;
    firstDayOfWeek?: DayOfWeek;
    strings?: DatePickerStrings;
    highlightCurrentMonth?: boolean;
    highlightSelectedMonth?: boolean;
    showWeekNumbers?: boolean;
    firstWeekOfYear?: FirstWeekOfYear;
    showGoToToday?: boolean;
    borderless?: boolean;
    className?: string;
    dateTimeFormatter?: DateFormatting;
    minDate?: Date;
    maxDate?: Date;
    initialPickerDate?: Date;
    allFocusable?: boolean;
    onAfterMenuDismiss?: () => void;
    showCloseButton?: boolean;
    tabIndex?: number;
};

// @public (undocumented)
export interface DatePickerStrings extends CalendarStrings {
    invalidInputErrorMessage?: string;
    isOutOfBoundsErrorMessage?: string;
    isRequiredErrorMessage?: string;
    isResetStatusMessage?: string;
}

// @public
export enum DateRangeType {
    // (undocumented)
    Day = 0,
    // (undocumented)
    Month = 2,
    // (undocumented)
    Week = 1,
    // (undocumented)
    WorkWeek = 3
}

// @public (undocumented)
export interface DayInfo extends Day {
    // (undocumented)
    onSelected: () => void;
    // (undocumented)
    setRef(element: HTMLElement | null): void;
}

// @public
export enum DayOfWeek {
    // (undocumented)
    Friday = 5,
    // (undocumented)
    Monday = 1,
    // (undocumented)
    Saturday = 6,
    // (undocumented)
    Sunday = 0,
    // (undocumented)
    Thursday = 4,
    // (undocumented)
    Tuesday = 2,
    // (undocumented)
    Wednesday = 3
}

// @public (undocumented)
export const DAYS_IN_WEEK = 7;

// @public (undocumented)
export const defaultDatePickerStrings: DatePickerStrings;

// @public
export enum FirstWeekOfYear {
    // (undocumented)
    FirstDay = 0,
    // (undocumented)
    FirstFourDayWeek = 2,
    // (undocumented)
    FirstFullWeek = 1
}

// @public
export function getDatePartHashValue(date: Date): number;

// @public
export function getDateRangeArray(date: Date, dateRangeType: DateRangeType, firstDayOfWeek: DayOfWeek, workWeekDays?: DayOfWeek[], daysToSelectInDayView?: number): Date[];

// @public
export function getEndDateOfWeek(date: Date, firstDayOfWeek: DayOfWeek): Date;

// @public
export function getMonthEnd(date: Date): Date;

// @public
export function getMonthStart(date: Date): Date;

// @public
export function getStartDateOfWeek(date: Date, firstDayOfWeek: DayOfWeek): Date;

// @public
export function getWeekNumber(date: Date, firstDayOfWeek: DayOfWeek, firstWeekOfYear: FirstWeekOfYear): number;

// @public
export function getWeekNumbersInMonth(weeksInMonth: number, firstDayOfWeek: DayOfWeek, firstWeekOfYear: FirstWeekOfYear, navigatedDate: Date): number[];

// @public
export function getYearEnd(date: Date): Date;

// @public
export function getYearStart(date: Date): Date;

// @public (undocumented)
export interface ICalendar {
    focus: () => void;
}

// @public (undocumented)
export interface ICalendarDay {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarDayGrid {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarMonth {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface ICalendarYear {
    // (undocumented)
    focus(): void;
}

// @public (undocumented)
export interface IDatePicker {
    focus(): void;
    reset(): void;
    showDatePickerPopup(): void;
}

// @public
export function isInDateRangeArray(date: Date, dateRange: Date[]): boolean;

// @public
export enum MonthOfYear {
    // (undocumented)
    April = 3,
    // (undocumented)
    August = 7,
    // (undocumented)
    December = 11,
    // (undocumented)
    February = 1,
    // (undocumented)
    January = 0,
    // (undocumented)
    July = 6,
    // (undocumented)
    June = 5,
    // (undocumented)
    March = 2,
    // (undocumented)
    May = 4,
    // (undocumented)
    November = 10,
    // (undocumented)
    October = 9,
    // (undocumented)
    September = 8
}

// @public
export const renderDatePicker_unstable: (state: DatePickerState) => JSX.Element;

// @public
export function setMonth(date: Date, month: number): Date;

// @public (undocumented)
export const TimeConstants: {
    MillisecondsInOneDay: number;
    MillisecondsIn1Sec: number;
    MillisecondsIn1Min: number;
    MillisecondsIn30Mins: number;
    MillisecondsIn1Hour: number;
    MinutesInOneDay: number;
    MinutesInOneHour: number;
    DaysInOneWeek: number;
    MonthInOneYear: number;
    HoursInOneDay: number;
    SecondsInOneMinute: number;
    OffsetTo24HourFormat: number;
    TimeFormatRegex: RegExp;
};

// @public
export const useCalendarDayGridStyles_unstable: (props: CalendarDayGridStyleProps) => CalendarDayGridStyles;

// @public
export const useCalendarDayStyles_unstable: (props: CalendarDayStyleProps) => CalendarDayStyles;

// @public
export const useCalendarMonthStyles_unstable: (props: CalendarMonthStyleProps) => CalendarMonthStyles;

// @public
export const useCalendarPickerStyles_unstable: (props: CalendarPickerStyleProps) => CalendarPickerStyles;

// @public
export const useCalendarStyles_unstable: (props: CalendarStyleProps) => CalendarStyles;

// @public
export const useCalendarYearStyles_unstable: (props: CalendarYearStyleProps) => CalendarYearStyles;

// @public
export const useDatePicker_unstable: (props: DatePickerProps, ref: React_2.Ref<HTMLElement>) => DatePickerState;

// @public
export const useDatePickerStyles_unstable: (state: DatePickerState) => DatePickerState;

// @public (undocumented)
export interface WeekCorners {
    // (undocumented)
    [key: string]: string;
}

// (No @packageDocumentation comment for this package)

```
